﻿namespace DataSharing.Share.Dtos.ConvergenceMedia
{
    public class MediaOrderDetailDataDto
    {
        /// <summary>
        /// 标识
        /// </summary>
        public string FlowID { get; set; }

        /// <summary>
        /// 工单编号
        /// </summary>
        public string FlowCode { get; set; }

        /// <summary>
        /// 工单标题
        /// </summary>
        public string FlowTitle { get; set; }

        /// <summary>
        /// 工单来源
        /// </summary>
        public string FlowFromName { get; set; }

        /// <summary>
        /// 受理类型
        /// </summary>
        public string FlowPurTypeName { get; set; }

        /// <summary>
        /// 热点类型
        /// </summary>
        public string FlowConTypeName { get; set; }

        /// <summary>
        /// 保存时间
        /// </summary>
        public string FlowAddDate { get; set; }

        /// <summary>
        /// 联系人
        /// </summary>
        public string FlowLKName { get; set; }

        /// <summary>
        /// 办理部门
        /// </summary>
        public string FlowBMName { get; set; }

        /// <summary>
        /// 办理状态
        /// </summary>
        public string FlowRSFlagName { get; set; }

        /// <summary>
        /// 受理内容
        /// </summary>
        public string FlowContent { get; set; }

        /// <summary>
        /// 处理结果
        /// </summary>
        public string FlowResultg { get; set; }
    }

    public class MediaOrderDetailDataDtoList
    {
        public IReadOnlyList<MediaOrderDetailDataDto> Data { get; set; }
    }
}
