﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace DataSharing.Share.Dtos.Enterprise
{
    /// <summary>
    /// 12345平台撤销涉企工单推送至服务企业平台
    /// </summary>
    public class CancelWorkOrder
    {
        /// <summary>
        /// 服务工单编号
        /// </summary>
        [JsonPropertyName("workOrderNo")]
        public string WorkOrderNo { get; set; }

        /// <summary>
        /// 撤销原因
        /// </summary>
        [JsonPropertyName("reason")]
        public string Reason { get; set; }
    }
}
