﻿namespace DataSharing.Share.Dtos.WebPortal
{
    public class UserModelDto
    {
        /// <summary>
        /// 数据获取状态
        /// true
        /// false
        /// </summary>
        public string success { get; set; }

        /// <summary>
        /// id 号码
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// 自然人
        /// 法人
        /// </summary>
        public string type { get; set; }

        /// <summary>
        /// 地址
        /// </summary>
        public string address { get; set; }

        /// <summary>
        /// 生日
        /// </summary>
        public string birth { get; set; }

        /// <summary>
        /// 文档类型
        /// </summary>
        public string document_type { get; set; }

        /// <summary>
        /// 身份证号码
        /// </summary>
        public string idNumber { get; set; }

        /// <summary>
        /// 未知
        /// </summary>
        public string nationality { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
        public string name { get; set; }

        /// <summary>
        /// 性别
        /// 1-男
        /// 2-女
        /// </summary>
        public string sex { get; set; }

        /// <summary>
        /// 昵称
        /// </summary>
        public string displayName { get; set; }

        /// <summary>
        /// 登陆名
        /// </summary>
        public string username { get; set; }

        /// <summary>
        /// 手机号码
        /// </summary>
        public string employeeMobile { get; set; }
    }
}
