﻿namespace DataSharing
{
    public interface IChannelConfigurationManager
    {
        /// <summary>
        /// 省12345配置
        /// </summary>
        /// <returns></returns>
        ConfigurationProvince GetConfigurationProvince();

        /// <summary>
        ///企业服务
        /// </summary>
        /// <returns></returns>
        ConfigurationEnterprise GetConfigurationEnterprise();

        /// <summary>
        /// 市州数据交换
        /// </summary>
        /// <returns></returns>
        ConfigurationCityHandOver GetConfigurationCityHandOver();

        /// <summary>
        /// 系统市州编码
        /// </summary>
        /// <returns></returns>
        ConfigurationCityCode GetConfigurationCityCode();

        /// <summary>
        /// 融媒体
        /// </summary>
        /// <returns></returns>
        ConvergenceMediaCode GetConfigurationMediaCode();

        /// <summary>
        /// 道枢110
        /// </summary>
        /// <returns></returns>
        ConfigurationPoliceDS GetConfigurationPoliceDS();

        /// <summary>
        /// 业务系统附件上传配置
        /// </summary>
        /// <returns></returns>
        ConfigurationBusinessFile GetConfigurationBusinessFile();

        /// <summary>
        /// 门户网站配置
        /// </summary>
        /// <returns></returns>
        ConfigurationWebPortal GetConfigurationWebPortal();

        /// <summary>
        /// 新老数据交换
        /// </summary>
        /// <returns></returns>
        ConfigurationSendDataOld GetConfigurationSendDataOld();

        /// <summary>
        /// 写入工单数据
        /// </summary>
        /// <returns></returns>
        ConfigurationHotlineClient GetConfigurationHotlineClient();
    }
}
