﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace DataSharing.Province
{
    /// <summary>
    /// 省调用接口数据
    /// </summary>
    [Description("省调用接口数据")]
    public class DsReceiveProvinceData : CreationModificationEntity
    {
        /// <summary>
        /// 服务工单编号  
        /// </summary>
        [SugarColumn(ColumnDescription = "服务工单编号", ColumnDataType = "varchar(50)")]
        public string? CaseSerial { get; set; }

        /// <summary>
        /// 材料标识
        /// </summary>
        [SugarColumn(ColumnDescription = "材料标识", ColumnDataType = "varchar(50)")]
        public string? CliengGuid { get; set; }

        /// <summary>
        /// 服务接口名称
        /// </summary>
        [SugarColumn(ColumnDescription = "服务接口名称", ColumnDataType = "varchar(30)")]
        public string? ServiceInterface { get; set; }

        /// <summary>
        /// 推送数据
        /// </summary>
        [SugarColumn(ColumnDescription = "推送数据", ColumnDataType = "text")]
        public string? ReceiveData { get; set; }

    }
}
