﻿namespace DataSharing.WebPortal
{
    public class PushMessageDto
    {
        /// <summary>
        /// 业务类型（区分从哪个平台来的短信数据）
        /// </summary>
        public string ClientId { get; set; }

        /// <summary>
        /// 外部业务唯一编号
        /// </summary>
        public string? ExternalId { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        public string Content { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string? Remark { get; set; }

        /// <summary>
        /// 接收姓名
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 接收手机号码
        /// </summary>
        public string TelNumber { get; set; }
    }
}
