﻿namespace DataSharing.Share.Dtos.ConvergenceMedia
{
    /// <summary>
    /// 新闻列表
    /// </summary>
    public class GetNoticeReceiveDataDto
    {
        /// <summary>
        /// 总页数
        /// </summary>
        public int PageCount { get; set; } = 0;

        /// <summary>
        /// 数据
        /// </summary>
        public IReadOnlyList<GetNoticeReceiveDataListDto> data { get; set; }
    }

    public class GetNoticeReceiveDataListDto
    {
        /// <summary>
        /// 索引
        /// </summary>
        public string Page { get; set; }

        /// <summary>
        /// 新闻ID标识
        /// </summary>
        public string NoticeID { get; set; }

        /// <summary>
        /// 新闻分类
        /// </summary>
        public string NoticeTypeName { get; set; }

        /// <summary>
        /// 新闻标题
        /// </summary>
        public string NoticeTitle { get; set; }

        /// <summary>
        /// 发布部门
        /// </summary>
        public string NoticeBMName { get; set; }

        /// <summary>
        /// 发布时间
        /// </summary>
        public DateTime? NoticeCreateDate { get; set; }
    }
}
