﻿namespace DataSharing.Share.Dtos.ConvergenceMedia
{
    /// <summary>
    /// 答复公开
    /// </summary>
    public class GetOrderMediaReceiveOpenDto
    {
        /// <summary>
        /// 接口密钥
        /// </summary>
        public string Code { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// 受理类型编码
        /// </summary>
        public int PurTypeID { get; set; }

        /// <summary>
        /// 开始时间（格式：2020-01-01）
        /// </summary>
        public string StartDate { get; set; }

        /// <summary>
        /// 结束时间（格式：2020-01-01）
        /// </summary>
        public string EndDate { get; set; }

        /// <summary>
        /// 当前页
        /// </summary>
        public int CurrentPage { get; set; } = 1;

        /// <summary>
        /// 查询每页大小（每页最大20条）
        /// </summary>
        public int PageSize { get; set; } = 10;
    }
}
