﻿using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.Enterprise
{
    /// <summary>
    /// 12345平台实时分页查询服务企业名单
    /// </summary>
    public class SelectEnterpriseList
    {
        /// <summary>
        /// 企业名称
        /// </summary>
        [JsonPropertyName("enterpriseName")]
        public string EnterpriseName { get; set; }

        /// <summary>
        /// 当前页；默认为1
        /// </summary>
        [JsonPropertyName("current")]
        public int Current { get; set; } = 1;

        /// <summary>
        /// 每页的数量；默认为10
        /// </summary>
        [JsonPropertyName("size")]
        public int Size { get; set; } = 10;
    }
}
