﻿using DataSharing.Share.Enums;
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace DataSharing.Common
{
    /// <summary>
    /// 调用接口数据
    /// </summary>
    [Description("调用接口数据")]
    public class DsCommonReceiveData : CreationModificationEntity
    {
        /// <summary>
        ///工单Id
        /// </summary>
        [SugarColumn(ColumnDescription = "工单Id", ColumnDataType = "varchar(50)")]
        public string? OrderId { get; set; }

        /// <summary>
        /// 来源平台名称
        /// </summary>
        [SugarColumn(ColumnDescription = "来源平台名称")]
        public string PlatformSource { get; set; }

        /// <summary>
        /// 服务接口名称
        /// </summary>
        [SugarColumn(ColumnDescription = "服务接口名称", ColumnDataType = "varchar(100)")]
        public string? ServiceInterface { get; set; }

        /// <summary>
        /// 推送数据
        /// </summary>
        [SugarColumn(ColumnDescription = "推送数据", ColumnDataType = "text")]
        public string? ReceiveData { get; set; }

    }
}
